# TimelineMarker(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``TimelineMarker`(bpy_struct)

  Marker for noting points in the timeline

  `camera`

    Camera this timeline sets to active

    Type: | `Object`

  `frame`

    The frame on which the timeline marker appears

    Type: | int in [-inf, inf], default 0

  `name`

    Type: | string, default “”, (never None)

  `select`

    Marker selection state

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Action.pose_markers` `ActionPoseMarkers.active` `ActionPoseMarkers.new` `ActionPoseMarkers.remove` | `Scene.timeline_markers` `TimelineMarkers.new` `TimelineMarkers.remove`